from flask import Flask, request, make_response

app = Flask(__name__)

channels = {'c1': ['hey!', 'hello!'], 'c2': ['eeeeeee', 'oooooo', 'aaaaah!!']}

f = open('messaging.html', 'r')
messaging_layout = f.read()
f.close()

@app.route('/')
def home():
    output = 'Welcome to my home. We appear to be lacking in <i>furniture</i>.<br><br>Channels:<br>'
    for channel in channels:
        output += '<a href="/channel/' + channel + '">#' + channel + '</a><br>'
    return output

@app.route('/channel/<channel_id>')
def channel(channel_id):
    return messaging_layout

if __name__ == '__main__':
    app.run(port=3000)
